Bug 99369 - Kernel hang when using 2 IDE controllers under software raid0
Kernel hang when using 2 IDE controllers under software raid0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-18 02:31 EDT by RC
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RC 2003-07-18 02:31:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705; .NET CLR 1.1.4322)

Description of problem:
I'm attempting to use 3 HDs under software raid0. My Maxtor 40GB HD is attached 
to the ATA66 onboard controller on my K7V motherboard, and my two 20GB IBM HDs 
are attached to the secondary Promise controller (PDC20268 - ATA100).

If I create a raid0 configuration consisting only of my two IBM HDs everything 
is fine. When using all 3 HDs the kernel locks up so tightly that even 
Alt+SysRq+T does not respond.

I have researched the problem for a couple weeks and the only work-around I 
have found is using ide=nodma which is not a very desirable solution.

I will be glad to add additional info if it is needed. Just let me know.

Version-Release number of selected component (if applicable):
2.4.20-18.9 and 2.6.0

How reproducible:
Always

Steps to Reproduce:
1. The problem should be reproducable by using a primary and secondary IDE 
controller under software raid0.
2.Run bonnie++
3.
    

Actual Results:  I have to reboot

Expected Results:  Bonnie++ should have run to completion.

Additional info:
Comment 1 RC 2003-07-23 02:03:24 EDT
Bug also exist in your Severn beta
Comment 2 Peter Mc Aulay 2004-09-19 14:00:48 EDT
I have the same problem with 2 Promise cards, with 1 Promise card and a HPT302, with 4 disks.  Common features of this bug appear to be Promise hardware with more than 1 channel in use at the same time and pdc20269_new driver.  Additionally, I only had problems during write operations, reading from the array worked fine.
Comment 3 Bugzilla owner 2004-09-30 11:41:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.